For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all notes
      • POSTCreate a note
      • GETGet a note
      • PATCHUpdate a note
      • DELDelete a note
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMNotes

Get a note

GET
https://api.brevo.com/v3/crm/notes/:id
GET
/v3/crm/notes/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.notes.getANote("id");
8}
9main();
1{
2 "text": "<p>Meeting notes: <b>Action item</b> - visit <a href=\"https://www.brevo.com/\">Brevo</a> for details.</p>",
3 "id": "61a5cd07ca1347c82306ad09",
4 "contactIds": [
5 247,
6 1,
7 2
8 ],
9 "companyIds": [
10 "61a5ce58c5d4795761045990",
11 "61a5ce58c5d4795761045991"
12 ],
13 "dealIds": [
14 "61a5ce58c5d4795761045990",
15 "61a5ce58c5d4795761045991"
16 ],
17 "authorId": {
18 "email": "johndoe@example.com",
19 "id": "61a5ce58y5d4795761045991",
20 "locale": "en_GB",
21 "name": {
22 "fullName": "John Doe"
23 },
24 "timezone": "Asia/Kolkata"
25 },
26 "createdAt": "2017-05-01T17:05:03.000Z",
27 "updatedAt": "2017-05-01T17:05:03.000Z"
28}
Retrieve the full details of a single CRM note by its identifier. The response includes the note''s text content, creation date, author, and any associated contacts, companies, or deals.
Was this page helpful?
Previous

Update a note

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
Note ID to get

Response

Returns the Note by id
textstring1-10000 characters

Content of the note. Supports HTML for rich text formatting. Supported tags include: <p> (paragraph), <b> / <strong> (bold), <i> / <em> (italic), <u> (underline), <br /> (line break), <a href="..."> (labelled hyperlink). Example labelled link: <a href="https://example.com">Link text</a>.

idstring
Unique note Id
contactIdslist of integers
Contact ids linked to a note
companyIdslist of strings
Company ids linked to a note
dealIdslist of strings
Deal ids linked to a note
authorIdobject
Account details of user which created the note
createdAtdatetime

Note created date/time

updatedAtdatetime

Note updated date/time

Errors

400
Bad Request Error
404
Not Found Error